package net.knarcraft.dynmapcitizens.handler.trait.quests;

/**
 * A specifier for a quest NPC's main type
 */
public enum QuestNPCType {

    /**
     * An NPC responsible for giving quests
     */
    GIVER,

    /**
     * An NPC killed in a quest
     */
    KILL,

    /**
     * An NPC set as the delivery target in a quest
     */
    DELIVER,

    /**
     * An NPC to be interacted with in a quest
     */
    INTERACT,

    /**
     * An NPC which is not a quest giver, but has several tasks as part of other quests
     */
    CHAIN

}
